import crafttweaker.api.villagers.VillagerTrades;
import crafttweaker.api.villager.VillagerProfession;
import crafttweaker.api.item.Ingredient;

//villagerTrades.addTrade(<profession:minecraft:toolsmith>, villagerLevel, in1, in2, output, 5, 2, 0.05);

villagerTrades.addWanderingTrade(2, 64, <item:paraglider:stamina_vessel>, 1, 2);


//Create Trades
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>, <item:minecraft:emerald>*3, <item:create:shaft>*8, 8, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>, <item:minecraft:emerald>*3, <item:create:cogwheel>*4, 8, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>, <item:minecraft:emerald>*4, <item:create:large_cogwheel>*2, 8, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>, <item:minecraft:emerald>*3, <item:create:gearbox>, 12, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>, <item:minecraft:emerald>*3, <item:create:clutch>, 12, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>, <item:minecraft:emerald>*3, <item:create:gearshift>, 12, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>, <item:minecraft:emerald>*3, <item:create:encased_chain_drive>, 12, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>, <item:minecraft:emerald>*5, <item:create:encased_fan>, 12, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>, <item:minecraft:emerald>*2, <item:create:depot>, 12, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>, <item:minecraft:emerald>*2, <item:create:chute>*2, 12, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>*4, <item:minecraft:emerald>*12, <item:create:mechanical_press>, 3, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>*2, <item:minecraft:emerald>*12, <item:create:mechanical_mixer>, 3, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>*2, <item:minecraft:emerald>*6, <item:create:basin>, 8, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>*3, <item:minecraft:emerald>*15, <item:create:mechanical_drill>, 8, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>*4, <item:minecraft:emerald>*12, <item:create:mechanical_saw>, 8, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>*2, <item:minecraft:emerald>*6, <item:create:mechanical_harvester>, 10, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>*2, <item:minecraft:emerald>*8, <item:create:portable_storage_interface>*4, 4, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:create:andesite_alloy>*2, <item:minecraft:emerald>*8, <item:create:andesite_tunnel>*6, 8, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 2, <item:minecraft:dried_kelp>*16, <item:minecraft:emerald>*8, <item:create:belt_connector>*8, 8, 10, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:create:andesite_alloy>, <item:minecraft:emerald>*5, <item:create:brown_toolbox>, 4, 1, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:alloyed:bronze_sheet>, <item:minecraft:emerald>*4, <item:toolbelt:pouch>, 5, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:toolbelt:pouch>, <item:minecraft:emerald>*8, <item:toolbelt:belt>, 5, 2, 0.05);

//Toolsmith Weapon and Material Trades
villagerTrades.removeAllTrades(<profession:minecraft:toolsmith>, 4);
villagerTrades.removeAllTrades(<profession:minecraft:toolsmith>, 5);
villagerTrades.removeBasicTrade(<profession:minecraft:toolsmith>, 3, <item:minecraft:diamond_hoe>, <item:minecraft:emerald>*4);
villagerTrades.removeBasicTrade(<profession:minecraft:toolsmith>, 1, <item:minecraft:diamond>, <item:minecraft:dirt>*16);
villagerTrades.removeBasicTrade(<profession:minecraft:toolsmith>, 2, <item:minecraft:emerald>, <item:minecraft:iron_ingot>*4);

villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:minecraft:iron_ingot>*6, <item:minecraft:emerald>, 10, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:minecraft:gold_ingot>*6, <item:minecraft:emerald>, 10, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:alloyed:steel_ingot>*4, <item:minecraft:emerald>, 10, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:create:brass_ingot>*4, <item:minecraft:emerald>, 10, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:alloyed:bronze_ingot>*4, <item:minecraft:emerald>, 10, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:minecraft:copper_ingot>*48, <item:minecraft:emerald>, 16, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:create:andesite_alloy>*2, <item:minecraft:emerald>*4, <item:create:propeller>, 4, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:create:andesite_alloy>*2, <item:minecraft:emerald>*3, <item:create:minecart_coupling>*4, 4, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:minecraft:emerald>*1, <item:quark:trowel>, 4, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 1, <item:minecraft:emerald>*3, <item:create:wrench>, 4, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 4, <item:kubejs:diamond_sheet>*2, <item:minecraft:emerald>*18, <item:minecraft:diamond_axe>, 2, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 4, <item:kubejs:diamond_sheet>, <item:minecraft:emerald>*6, <item:minecraft:diamond_shovel>, 5, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 4, <item:kubejs:diamond_sheet>, <item:minecraft:emerald>*8, <item:minecraft:diamond_hoe>, 5, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 4, <item:alloyed:steel_sheet>*2, <item:minecraft:emerald>*16, <item:alloyed:steel_pickaxe>, 2, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 4, <item:alloyed:steel_sheet>*2, <item:minecraft:emerald>*14, <item:alloyed:steel_axe>, 2, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 4, <item:alloyed:steel_sheet>, <item:minecraft:emerald>*5, <item:alloyed:steel_shovel>, 2, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 4, <item:alloyed:steel_sheet>, <item:minecraft:emerald>*4, <item:alloyed:steel_hoe>, 2, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 4, <item:alloyed:steel_sheet>*3, <item:minecraft:emerald>*36, <item:fire_extinguisher:fire_axe>, 2, 2, 0.05);
villagerTrades.addTrade(<profession:minecraft:toolsmith>, 5, <item:kubejs:diamond_sheet>*2, <item:minecraft:emerald>*24, <item:minecraft:diamond_pickaxe>, 2, 2, 0.05);
